2 příspěvky / 0 new
Poslední
Obrázek uživatele gucky
Offline
Naposledy viděn: 12 let 9 měsíců zpět
Připojen: 01.02.2007 - 11:37
problem s ssh

Zdravím lidičky, mám takovej problémeček, přestalo mi fungovat ssh. Mám PC se SuSE 10.1 a běží mi na něm Apache2 a vsftpd. Mám na něm veřejnou IP adresu a konfiguruji ho přez ssh a VNC. Asi před týdnem mi VNC při vzdáleném logování do systému spadlo a od té doby se nejde přihlásit. Ve stejnou dobu jsem zjistil, že se nemůžu připojit na ssh. U serveru jsem zjistil, že nejede demon sshd a nepodařilo se mi ho spustit ani ručně. Našel jsem si v Yastu balíky ve kterých by ssh mohlo být a přeinstaloval je. Po te se mi sshd rozběhlo, ale nebere mi žádné jméno a heslo ani root, vůbec netuším jak to ssh nějak nastavit. Prosím o radu.

Obrázek uživatele honzaS
Offline
Naposledy viděn: 13 let 4 měsíce zpět
Připojen: 09.01.2007 - 15:20
Co vám vypíše:

Co vám vypíše: /etc/init.d/sshd status ?
Také se podívejte na obsah souboru /etc/ssh/sshd_config , konkrétně na parametry:
PermitRootLogin; PasswordAuthentication; PermitEmptyPasswords
Pod uživatelem, kterým se chcete přihlásit přes ssh se lokálně přihlásíte?

honzaS

Obrázek uživatele gucky
Offline
Naposledy viděn: 12 let 9 měsíců zpět
Připojen: 01.02.2007 - 11:37
Našel jsem jen ssh bez status

Do příkazovýho řádku se odsud boužel nedostanu, protože nejede to ssh, ale zkusím to doma. A jestli to je soubor, tak ten jsem našel jen ssh bez status a ten pise tohle:
#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
#
# Author: Jiri Smid
#
# /etc/init.d/sshd
#
# and symbolic its link
#
# /usr/sbin/rcsshd
#
### BEGIN INIT INFO
# Provides: sshd
# Required-Start: $network $remote_fs
# Required-Stop: $network $remote_fs
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start the sshd daemon
### END INIT INFO

SSHD_BIN=/usr/sbin/sshd
test -x $SSHD_BIN || exit 5

SSHD_SYSCONFIG=/etc/sysconfig/ssh
test -r $SSHD_SYSCONFIG || exit 6
. $SSHD_SYSCONFIG

SSHD_PIDFILE=/var/run/sshd.init.pid

. /etc/rc.status

# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status

# First reset status of this service
rc_reset

case "$1" in
start)
if ! test -f /etc/ssh/ssh_host_key ; then
echo Generating /etc/ssh/ssh_host_key.
ssh-keygen -t rsa1 -b 1024 -f /etc/ssh/ssh_host_key -N ''
fi
if ! test -f /etc/ssh/ssh_host_dsa_key ; then
echo Generating /etc/ssh/ssh_host_dsa_key.

ssh-keygen -t dsa -b 1024 -f /etc/ssh/ssh_host_dsa_key -N ''
fi
if ! test -f /etc/ssh/ssh_host_rsa_key ; then
echo Generating /etc/ssh/ssh_host_rsa_key.

ssh-keygen -t rsa -b 1024 -f /etc/ssh/ssh_host_rsa_key -N ''
fi
echo -n "Starting SSH daemon"
## Start daemon with startproc(8). If this fails
## the echo return value is set appropriate.

startproc -f -p $SSHD_PIDFILE /usr/sbin/sshd $SSHD_OPTS -o "PidFile=$SSHD_PIDFILE"

# Remember status and be verbose
rc_status -v
;;
stop)
echo -n "Shutting down SSH daemon"
## Stop daemon with killproc(8) and if this fails
## set echo the echo return value.

killproc -p $SSHD_PIDFILE -TERM /usr/sbin/sshd

# Remember status and be verbose
rc_status -v
;;
try-restart)
## Stop the service and if this succeeds (i.e. the
## service was running before), start it again.
$0 status >/dev/null && $0 restart

# Remember status and be quiet
rc_status
;;
restart)
## Stop the service and regardless of whether it was
## running or not, start it again.
$0 stop
$0 start

# Remember status and be quiet
rc_status
;;
force-reload|reload)
## Signal the daemon to reload its config. Most daemons
## do this on signal 1 (SIGHUP).

echo -n "Reload service sshd"

killproc -p $SSHD_PIDFILE -HUP /usr/sbin/sshd

rc_status -v

;;
status)
echo -n "Checking for service sshd "
## Check status with checkproc(8), if process is running
## checkproc will return with exit status 0.

# Status has a slightly different for the status command:
# 0 - service running
# 1 - service dead, but /var/run/ pid file exists
# 2 - service dead, but /var/lock/ lock file exists
# 3 - service not running

checkproc -p $SSHD_PIDFILE /usr/sbin/sshd

rc_status -v
;;
probe)
## Optional: Probe for the necessity of a reload,
## give out the argument which is required for a reload.

test /etc/ssh/sshd_config -nt $SSHD_PIDFILE && echo reload
;;
*)
echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
exit 1
;;
esac
rc_exit

Obrázek uživatele gucky
Offline
Naposledy viděn: 12 let 9 měsíců zpět
Připojen: 01.02.2007 - 11:37
nejde se mi přihlásit na

nejde se mi přihlásit na žádného uživatele ani na root ani přez localhost.

Obrázek uživatele honzaS
Offline
Naposledy viděn: 13 let 4 měsíce zpět
Připojen: 09.01.2007 - 15:20
První příkaz je

První příkaz je zapotřebí spustit na serveru kde by mělo běžet ssh (pod rootem), zobrazí vám stav ssh démona.
Ohledně toho přihlášení jak jste psal. Znamená to, že se na ten server nemůžete pod žádným uživatelem přihlásit ani lokálně?

honzaS

Obrázek uživatele gucky
Offline
Naposledy viděn: 12 let 9 měsíců zpět
Připojen: 01.02.2007 - 11:37
Ano neprihlasim se ani

Ano neprihlasim se ani lokalne. A jestli je ten prikaz obdoba service sshd status tak ten vypise done. Demon bezi, kdyz se chci prihlasit tak chce jmeno a pak heslo a zadne nefunguje.

Obrázek uživatele honzaS
Offline
Naposledy viděn: 13 let 4 měsíce zpět
Připojen: 09.01.2007 - 15:20
Tak v tom případě vám

Tak v tom případě vám pád vnc nejspíš poškodil soubor /etc/shadow nebo /etc/passwd , když se lokálně nepřihlásíte. Jediné řešení které mě napadá, je resetování rootovského hesla.

honzaS

Obrázek uživatele gucky
Offline
Naposledy viděn: 12 let 9 měsíců zpět
Připojen: 01.02.2007 - 11:37
Tak jsem to vyřešil.

Tak jsem to vyřešil. Problém byl s verzemi balíku openssh, které jsem nainstaloval. Ssh-keygen nevytvářel klíče protože script v init.d zadával přepínač -f, který tato verze openssh nepodporovala. Stáhl jsem a nainstaloval novější balík openssh a ta už tento přepínač podporuje. Od té doby je vše zase v pořádku a vše funguje. Děkuji za odpovědi, určitě mi to pomohlo při hledání řešení.